Subject: Re: [PATCH] use natural ordering to display list of branches.

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Jun 2008 23:53:05 -0700

"Cedric Vivier" <[email-masked]> writes:

> On Sat, Jun 7, 2008 at 2:17 AM, Junio C Hamano <[email-masked]> wrote:
>> Somebody suggested strvercmp(); how does the natcmp() compare with it?
>>
>
> Yeah I did, as a heads-up from the discussion on the apache
> mailing-list linked earlier.
> I've just checked out glibc's implementation, the result would be the
> same, the code seems better to me, and there is no doubt the license
> is 100% compatible this way [1], sounds cool.
>
> [1] as I guess we'd still have to borrow the code from glibc and put
> it into git's compat/ directory (or whatever name is choosen in the
> end for this kind of borrowed stuff) to make it work on non-glibc
> platforms (?)

Yes, and we have precedents to it, like compat/strcasestr.c